WildcardDestinationFilter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.WildcardDestinationFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class WildcardDestinationFilter

    java.lang.Object
      org.codehaus.activemq.filter.DestinationFilter
          org.codehaus.activemq.filter.WildcardDestinationFilter

All Implemented Interfaces:
  Filter

public class WildcardDestinationFilter
extends DestinationFilter

Matches messages which contain wildcards like "A.B.*.*"

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from class org.codehaus.activemq.filter.DestinationFilter
`ANY_CHILD, ANY_DESCENDENT`

Constructor Summary
`WildcardDestinationFilter(String[] prefixes)` An array of paths containing * characters

Method Summary
`String` | `getText()`
`boolean` | `isWildcard()`
`boolean` | `matches(Destination destination)`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.filter.DestinationFilter
`matches, parseFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WildcardDestinationFilter

    public WildcardDestinationFilter(String[] prefixes)

  An array of paths containing * characters

Parameters:
  `prefixes` -

Method Detail

### matches

    public boolean matches(Destination destination)

  Specified by:
    `matches` in class `DestinationFilter`

### getText

    public String getText()

### toString

    public String toString()

### isWildcard

    public boolean isWildcard()

  Returns:
    return true if this filter is a wildcard filter and so can match multiple destinations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.